Issue #14633 has been updated by nobu (Nobuyoshi Nakada).

Backport changed from 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5: UNKNOWN to 2.3: REQUIRED, 2.4: REQUIRED, 2.5: REQUIRED

The behavior is correct, as ruby(1) says:

>      -v             Enables verbose mode.  Ruby will print its version at the
>                     beginning and set the variable $VERBOSE to true.  Some methods
>                     print extra messages if this variable is true.  If this switch
>                     is given, and no other switches are present, Ruby quits after
>                     printing its version.

>      --verbose      Enables verbose mode without printing version message at the
>                     beginning.  It sets the $VERBOSE variable to true.  If this
>                     switch is given, and no other switches are present, Ruby quits
>                     after printing its version.


----------------------------------------
Bug #14633: The behavior of command option `--verbose` is different from its help message
https://bugs.ruby-lang.org/issues/14633#change-71226

* Author: makimoto (Shimpei Makimoto)
* Status: Open
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: ruby 2.6.0dev (2018-03-26 trunk 62926) [x86_64-darwin16]
* Backport: 2.3: REQUIRED, 2.4: REQUIRED, 2.5: REQUIRED
----------------------------------------
According to `ruby --help`, command option `--verbose` is

~~~
  -v, --verbose   print version number, then turn on verbose mode

~~~

But actually it doesn't show version number, and seems to turn verbose mode without any message.
I don't know its original intention, but currently its behavior is different its help message.

IMO, if the help message is wrong and the behavior is correct,  there're three similar options (`--version` just shows version number; `--verbose` just turns verbose mode; `-v` do both), so it's a little confusing.



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>